POST
/v1/mgmt/password/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
minLength*integer
Format
int32lowercase?boolean
uppercase?boolean
number?boolean
nonAlphanumeric?boolean
expiration?boolean
expirationWeeks*integer
Format
int32reuse?boolean
reuseAmount*integer
Format
int32lock?boolean
lockAttempts*integer
Format
int32tenantId?string
enabled?boolean
tempLock?boolean
tempLockAttempts?integer
Format
int32tempLockDuration?integer
Format
int32enablePasswordStrength?boolean
passwordStrengthScore?integer
Format
int32anyLetter?boolean
disallowedCharacters?string
disallowEmailMatch?boolean
Update password settings for a tenant
This endpoint allows you to update the password settings of a given tenant.
See Also
- See tenant password settings for details about tenant password settings.
curl -X POST "https://api.descope.com/v1/mgmt/password/settings" \ -H "Content-Type: application/json" \ -d '{ "minLength": 0, "expirationWeeks": 0, "reuseAmount": 0, "lockAttempts": 0 }' Was this helpful?
Get Tenant Password Settings GET
### Get password settings for a tenant This endpoint allows you to get the password settings of a given tenant. ### See Also - See [tenant password settings](/customize/tenant#passwords) for details about tenant password settings.
Get Tenant Session Settings GET
### Get session settings for a tenant This endpoint allows you to get the session settings of a given tenant. ### See Also - See [tenant session settings](/customize/tenant#session-management) for details about tenant session settings.